classification
Title: distutils upload command doesn't work with http proxy
Type: enhancement Stage:
Components: Distutils Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: jason.coombs Nosy List: jason.coombs, python-dev, tarek
Priority: normal Keywords:

Created on 2009-06-15 09:54 by tarek, last changed 2013-11-11 00:01 by jason.coombs. This issue is now closed.

Messages (5)
msg89398 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-15 09:54
upload is base on httplib and doesn't use the http_proxy envrionment
variable. So it's impossible to upload a file behind a firewall.

Let's change the command so it uses a proxy if set
msg89419 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-15 23:31
done in r73436. Will merge it into 3.2 after 3.1 is tagged.

I am leaving this issue open until the merge in 3.2 is done.
msg89793 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-28 21:32
merged in 3.2 in r73645
msg202582 - (view) Author: Jason R. Coombs (jason.coombs) * (Python committer) Date: 2013-11-10 22:58
This change didn't make it into Python 3.2 but is in 2.7. see issue19544 for details.
msg202589 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-11 00:00
New changeset 5e98c4e9c909 by Jason R. Coombs in branch '3.3':
Issue #19544 and Issue #6286: Restore use of urllib over http allowing use of http_proxy for Distutils upload command, a feature accidentally lost in the rollback of distutils2.
http://hg.python.org/cpython/rev/5e98c4e9c909

New changeset b1244046f37a by Jason R. Coombs in branch 'default':
Merge with 3.3 for Issue #19544 and Issue #6286. Merge is untested. I was unable to test due to bab0cbf86835.
http://hg.python.org/cpython/rev/b1244046f37a
History
Date User Action Args
2013-11-11 00:01:08jason.coombssetstatus: open -> closed
2013-11-11 00:00:37python-devsetnosy: + python-dev
messages: + msg202589
2013-11-10 23:26:05jason.coombssetversions: + Python 3.3, Python 3.4, - Python 3.2
2013-11-10 22:58:09jason.coombssetassignee: tarek -> jason.coombs
2013-11-10 22:58:02jason.coombssetstatus: closed -> open
nosy: + jason.coombs
messages: + msg202582

2009-06-28 21:32:22tareksetstatus: open -> closed

messages: + msg89793
2009-06-15 23:31:37tareksetmessages: + msg89419
2009-06-15 23:22:28tareksettype: enhancement
2009-06-15 09:54:20tarekcreate